The editor schema of a battery category
Any signed-in user. Sections and fields with bilingual labels, help, tier, the requirement rule for the category (before dates, conditions and values are applied; per-target status comes from the completeness operations), validation schema and export paths.
apiKeyAutorisierungBearer <Token>Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the
operations that list this scheme, with the scope in their x-api-key-scope.
category*stringBattery category per Regulation (EU) 2023/1542; drives registry requirements.
"ev""lmt""industrial""stationary""industrial_without_bms"The schema.
application/json- response
categories*array<>category*BatteryCategoryBattery category per Regulation (EU) 2023/1542; drives registry requirements.
"ev""lmt""industrial""stationary""industrial_without_bms"checks*array<>hash*stringorg_facts*array<>sections*array<>status*RegistryStatusseed until verified against primary sources (docs/registry/verification-log.md).
"seed""verified"version*stringcurl -X GET 'https://example.com/api/v1/registry/schema?category=ev'{ "categories": [ { "key": "ev", "label": { "de": "string", "en": "string" } } ], "category": "ev", "checks": [ { "fields": [ "string" ], "key": "string", "level": "model", "message": { "de": "string", "en": "string" }, "severity": "fail" } ], "hash": "string", "org_facts": [ { "key": "string", "label": { "de": "string", "en": "string" }, "type": "boolean" } ], "sections": [ { "din_spec": "string", "fields": [ { "column": "string", "evidence_required": true, "export": { "batterypass_v2": "string", "csv": "string", "csv_aliases": [ "string" ] }, "help": { "de": "string", "en": "string" }, "key": "string", "label": { "de": "string", "en": "string" }, "legal": { "property1": "string", "property2": "string" }, "level": "model", "requirement": { "applies_from": "2019-08-24", "base": "required", "condition": { "de": "string", "en": "string" }, "conditional": true, "trigger": { "de": "string", "en": "string" } }, "schema": { "enum": [ null ], "enum_labels": [ { "de": "string", "en": "string" } ], "items": {}, "label": { "de": "string", "en": "string" }, "max": 0, "max_bytes": 0, "max_items": 0, "max_length": 0, "mime": [ "string" ], "min": 0, "pattern": "string", "properties": [ { "name": "string", "schema": {} } ], "type": "string", "unit": "string" }, "storage": "value", "tier": "public", "type": "string", "unit": "string", "verification": "confirmed" } ], "key": "string", "label": { "de": "string", "en": "string" }, "order": 0 } ], "status": "seed", "version": "string"}Version, content hash and status of the field registry in use GET
Any signed-in user.
The registry in use and how many of the organisation's passports need an update GET
Any member. After a new registry version is deployed, a job re-evaluates the organisation's published passports; passports with a newly missing required value become `update_needed` (they stay online) and their versions get an `update_passports` task.